Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX
  Endpunkte festlegen für Ersetzen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Endpunkte festlegen für Ersetzen (257 mal gelesen)
schirnerj
Mitglied
Maschinenbau Konstrukteur

Sehen Sie sich das Profil von schirnerj an!   Senden Sie eine Private Message an schirnerj  Schreiben Sie einen Gästebucheintrag für schirnerj

Beiträge: 7
Registriert: 20.05.2020

Aktuell eingesetzte Software: Siemens NX 10
Bisherige CAD Software Erfahrung/Verwundungen:
Siemens NX 12
PTC Creo Parametric 3.0
Pro/ENGINEER Wildfire 5.0
Solidworks 2017 und 2016

erstellt am: 20. Mai. 2020 09:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich arbeite in meiner Firma viel mit Flächenmodellen und stehe aktuell vor folgendem Problem.

Momentan baue ich Modelle aus verbundenen Flächen parametrisch so auf, dass einzelne Flächen mittels "Ersetzen" (Rechtsklick->Ersetzen oder Menü->bearbeiten->Formelement->Ersetzen) durch ähnlich aufgebaute Flächenmodelle ausgetauscht werden können und anschließend mit vorher festgelegten Ausdrücken angepasst werden, sodass zukünftige Modelle im Idealfall innerhalb weniger Minuten erstellt werden können.

Für diese Modelle gibt es immer Eingangsgeometrien in Form von Flächenkörpern und Ebenen.
Bei meinem Aufbau verwende ich als Referenzen für die Formelemente zum Großteil Schnittkurven und Schnittpunkte, welche sich auf die gesamten Eingangsgeometrien referenzieren, nie auf einzelne Kanten etc.
An 2 Stellen habe ich jedoch nicht die Möglichkeit, Schnittpunkte zu erstellen und muss hier auf Endpunkte von Schnittkurven zurückgreifen. Dass Problem dabei ist, dass diese scheinbar nicht stabil genug für den Austausch sind. Nach dem Ersetzen eines Flächenkörpers weiß NX nicht, an welchem Ende der Schnittkurve der Punkt liegen soll.

Meine Überlegung ist, möglicherweise einen Ausdruck gesteuerten Punkt stattdessen zu erstellen mit entsprechender Funktion.
Hat da vielleicht jemand von euch eine Idee dazu???

Gruß
Julian

[Diese Nachricht wurde von schirnerj am 29. Mai. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Walter Hogger
Moderator
Maschinenbauingenieur


Sehen Sie sich das Profil von Walter Hogger an!   Senden Sie eine Private Message an Walter Hogger  Schreiben Sie einen Gästebucheintrag für Walter Hogger

Beiträge: 3512
Registriert: 06.10.2000

UG V2 bis V18
NX1 bis NX1880 ("NX14")
Windows, UNIX, Linux

erstellt am: 20. Mai. 2020 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schirnerj 10 Unities + Antwort hilfreich

Hallo Julian,

ich hab's jetzt drei mal gelesen aber nicht verstanden, worum es geht. Wenn es anderen genau so geht, kommt natürlich keine Antwort.

Kannst du es verständlicher erklären?
Wie kommst du auf den Lösungsweg "Formelement ersetzen"?
Ist das der einzige und ideale Weg?
Geht es dir um die Updatestablität deiner Modelle?

Gruß

------------------
Walter Hogger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

schirnerj
Mitglied
Maschinenbau Konstrukteur

Sehen Sie sich das Profil von schirnerj an!   Senden Sie eine Private Message an schirnerj  Schreiben Sie einen Gästebucheintrag für schirnerj

Beiträge: 7
Registriert: 20.05.2020

Aktuell eingesetzte Software: Siemens NX 10
Bisherige CAD Software Erfahrung/Verwundungen:
Siemens NX 12
PTC Creo Parametric 3.0
Pro/ENGINEER Wildfire 5.0
Solidworks 2017 und 2016

erstellt am: 20. Mai. 2020 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Es geht dabei um modular einsetzbare Modelle, die für Zukünftige Produktvarianten eingesetzt werden sollen. Da es sich hier um Modelle mit Freiformflächen handelt, kommt man um das Formelement ersetzen nicht herum.
Darum geht es letztlich bei meiner Frage auch eigentlich nicht, ich wollte nur den Hintergrund erläutern.

Meine Frage ist, wie bekomme ich einen Punkt stabil auf einen Endpunkt einer Schnittkurve referenziert, ohne das beim Ersetzen die Referenz zwischen 1. und 2. Endpunkt der Kurve springt/variert?

Gruß
Julian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Walter Hogger
Moderator
Maschinenbauingenieur


Sehen Sie sich das Profil von Walter Hogger an!   Senden Sie eine Private Message an Walter Hogger  Schreiben Sie einen Gästebucheintrag für Walter Hogger

Beiträge: 3512
Registriert: 06.10.2000

UG V2 bis V18
NX1 bis NX1880 ("NX14")
Windows, UNIX, Linux

erstellt am: 20. Mai. 2020 12:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schirnerj 10 Unities + Antwort hilfreich

Hallo Julian,

das ist schwierig. Man müsste beim Erstellen genau aufpassen, was man wo klickt. Das tut aber keiner und ist ggf. auch nicht sicher. In NX-Programmen (NXOpen) kann man in solchen Fällen unterscheiden, etwa "der Enpunkt mit der kleineren X-Koordinate" oder "Endpunkt näher an Feature ...". D.h., eventuell musst du über ein Programm gehen. Ich denke, so Module wie PTS (Product Template Studio, Modul um Baugruppenvarianten zu definieren) können auch solche Entscheidungen treffen. Das müsste man aber erst prüfen.

Gruß

------------------
Walter Hogger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2423
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 21. Mai. 2020 12:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schirnerj 10 Unities + Antwort hilfreich

Moin zusammen,

mit "Punkt auf Kurve" sollte das möglich sein. Welche Seite gewählt wird, kann über die prozentuale Bogenlänge bestimmt werden, 0 ist der Startpunkt, 100 das Ende. Das lässt sich über einen Ausdruck steuern.
Bei der Erzeugung der Kurven muss man eben deren Richtung beachten, dann sollte das klappen.

Gruß, Michael

------------------
Ein Mensch wird laut, wenn er was will;
wenn er's erst hat, dann wird er still;
Das "Danke" ist, nach alter Sitte,
Weit selt'ner als das "Bitte, Bitte".

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

schirnerj
Mitglied
Maschinenbau Konstrukteur

Sehen Sie sich das Profil von schirnerj an!   Senden Sie eine Private Message an schirnerj  Schreiben Sie einen Gästebucheintrag für schirnerj

Beiträge: 7
Registriert: 20.05.2020

Aktuell eingesetzte Software: Siemens NX 10
Bisherige CAD Software Erfahrung/Verwundungen:
Siemens NX 12
PTC Creo Parametric 3.0
Pro/ENGINEER Wildfire 5.0
Solidworks 2017 und 2016

erstellt am: 25. Mai. 2020 08:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Michael,

die Überlegung hatte ich selbst auch schon. Allerdings lässt sich bei einer Schnittkurve keine Richtung einsehen bzw gibt es keine.
Oder übersehe ich etwas?

Gruß
Julian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

schirnerj
Mitglied
Maschinenbau Konstrukteur

Sehen Sie sich das Profil von schirnerj an!   Senden Sie eine Private Message an schirnerj  Schreiben Sie einen Gästebucheintrag für schirnerj

Beiträge: 7
Registriert: 20.05.2020

Aktuell eingesetzte Software: Siemens NX 10
Bisherige CAD Software Erfahrung/Verwundungen:
Siemens NX 12
PTC Creo Parametric 3.0
Pro/ENGINEER Wildfire 5.0
Solidworks 2017 und 2016

erstellt am: 25. Mai. 2020 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Walter,

ja das ist schwierig. Die NX-Programme NXOpen und PTS kenne ich noch nicht, da muss ich mal schauen welche Möglichkeiten ich in meiner Firma habe.
Aber versuchen werde ich es, danke.

Gruß
Julian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Walter Hogger
Moderator
Maschinenbauingenieur


Sehen Sie sich das Profil von Walter Hogger an!   Senden Sie eine Private Message an Walter Hogger  Schreiben Sie einen Gästebucheintrag für Walter Hogger

Beiträge: 3512
Registriert: 06.10.2000

UG V2 bis V18
NX1 bis NX1880 ("NX14")
Windows, UNIX, Linux

erstellt am: 25. Mai. 2020 09:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schirnerj 10 Unities + Antwort hilfreich

Hallo Julian,

zum Thema PTS findest du auch hier im Forum einiges, z.B. hier.

Kurse zu diesem Thema dauern bei uns etwa 2 bis 4 Tage, je nach dem, was am Kursende alles entstehen soll.

Der Einstieg in die NXOpen-Programmierung dauert etwa 3 bis 5 Tage, dabei kommt es auf die grundlegenden Programmierkentnisse an und eventuell auch auf ein gesetztes Kursziel. Zu bedenken ist dabei stets die Zeit, die du mit "Parametrik-Versuchen" verbrätst, ggf. ohne zufriedenstellendes Ergebnis.

Gruß

------------------
Walter Hogger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2423
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 25. Mai. 2020 11:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schirnerj 10 Unities + Antwort hilfreich

Hallo Julian,

Splines und Freiformflächen haben alle eine Richtung, sie ist nur nicht auf den ersten Blick zu erkennen. Mit Information->Object oder Information->Spline sollte man die Richtung einer Kurve erkennen können. Oder mach' einen Punkt wie zuvor beschrieben.

Ob es bei Schnittkurven eine Regel gibt, wo vorne und wo hinten ist, kann ich auswendig nicht sagen, würde aber vermuten, daß es von der Richtung der geschnittenen Flächen abhängt. Das lässt sich an ein paar Beispielen untersuchen.

Die Ausrichtung von Flächen kann ebenfalls mit einem Punkt ermittelt werden. Information->Object zeigt die u/v Richtungen bei Freiformflächen an.

Gruß, Michael

------------------
Ein Mensch wird laut, wenn er was will;
wenn er's erst hat, dann wird er still;
Das "Danke" ist, nach alter Sitte,
Weit selt'ner als das "Bitte, Bitte".

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Simon Bizlearn
Mitglied
PLM Berater & Trainer


Sehen Sie sich das Profil von Simon Bizlearn an!   Senden Sie eine Private Message an Simon Bizlearn  Schreiben Sie einen Gästebucheintrag für Simon Bizlearn

Beiträge: 18
Registriert: 04.02.2020

erstellt am: 25. Mai. 2020 15:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schirnerj 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von schirnerj:

An 2 Stellen habe ich jedoch nicht die Möglichkeit, Schnittpunkte zu erstellen und muss hier auf Endpunkte von Schnittkurven zurückgreifen. Dass Problem dabei ist, dass diese scheinbar nicht stabil genug für den Austausch sind. Nach dem Ersetzen eines Flächenkörpers weiß NX nicht, an welchem Ende der Schnittkurve der Punkt liegen soll.

Hi Julian,

Du kannst doch im Replace eine Möglichkeit schaffen, die Richtung der Kurve zu definieren. Arbeite mit Composite Curves ggfs, damit eine Richtung abgefragt wird. Vielleicht findest du auch im "Point Set" Werkzeug eine Möglichkeit, die Auswahl anders zu gestalten.

Hierzu hatte ich mal ein Video gemacht:
https://www.youtube.com/watch?v=MLQFuUHDUGw

Ich arbeite auch nach deiner Methode, möglichst eindeutig und "horizontal", um bei Änderungen keine zusätzliche Arbeit zu haben. Funktioniert gut und kann ich jedem Nahe legen^^ Weiter so! (-;
------------------
Viele Grüße,

Simon

PLM Trainer & Consultant
https://www.bizlearn.de

[Diese Nachricht wurde von Simon Bizlearn am 25. Mai. 2020 editiert.]

[Diese Nachricht wurde von Simon Bizlearn am 25. Mai. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

schirnerj
Mitglied
Maschinenbau Konstrukteur

Sehen Sie sich das Profil von schirnerj an!   Senden Sie eine Private Message an schirnerj  Schreiben Sie einen Gästebucheintrag für schirnerj

Beiträge: 7
Registriert: 20.05.2020

Aktuell eingesetzte Software: Siemens NX 10
Bisherige CAD Software Erfahrung/Verwundungen:
Siemens NX 12
PTC Creo Parametric 3.0
Pro/ENGINEER Wildfire 5.0
Solidworks 2017 und 2016

erstellt am: 25. Mai. 2020 15:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Simon,

danke für deine Tipps! Da werde ich gleich morgen früh mal einiges testen und dein Video ansehen. Bestimmt ist was dabei, was ich mir abgucken kann.

Gruß
Julian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Simon Bizlearn
Mitglied
PLM Berater & Trainer


Sehen Sie sich das Profil von Simon Bizlearn an!   Senden Sie eine Private Message an Simon Bizlearn  Schreiben Sie einen Gästebucheintrag für Simon Bizlearn

Beiträge: 18
Registriert: 04.02.2020

erstellt am: 25. Mai. 2020 15:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schirnerj 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von schirnerj:
Hi Simon,

danke für deine Tipps! Da werde ich gleich morgen früh mal einiges testen und dein Video ansehen. Bestimmt ist was dabei, was ich mir abgucken kann.

Gruß
Julian


Haha - ich hatte gerade meine Antwort abgeändert, weil ich die Frage erst missverstanden hab und du hast währenddessen geantwortet. Nichtdestotrotz bin ich mir 100%ig sicher, dass es eine ootb Lösung für dein Problem gibt. Aber dazu wäre ein Screenshot nicht schlecht (-;

------------------
Viele Grüße,

Simon

PLM Trainer & Consultant
https://www.bizlearn.de

[Diese Nachricht wurde von Simon Bizlearn am 25. Mai. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

schirnerj
Mitglied
Maschinenbau Konstrukteur

Sehen Sie sich das Profil von schirnerj an!   Senden Sie eine Private Message an schirnerj  Schreiben Sie einen Gästebucheintrag für schirnerj

Beiträge: 7
Registriert: 20.05.2020

Aktuell eingesetzte Software: Siemens NX 10
Bisherige CAD Software Erfahrung/Verwundungen:
Siemens NX 12
PTC Creo Parametric 3.0
Pro/ENGINEER Wildfire 5.0
Solidworks 2017 und 2016

erstellt am: 29. Mai. 2020 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich bin mittlerweile weitergekommen und habe es an dieser Stelle etwas anders gelöst, was deutlich stabiler war.

Allerdings haben mir die zusammengesetzten Kurven (composite curves) an anderer Stelle mit ähnlichem Problem tatsächlich weitergeholfen und das ganze doch stabilisiert, sodass es nur selten zu Fehlern beim Austauschen kommt. Und wenn doch mal, lässt sich dass durch Richtungsänderung der Kurve leicht beheben.

Danke an alle Antwortgebenden!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz